- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
_WPXTableDefinition Struct Reference

`#include <WPXContentListener.h>`

## Public Member Functions
| _WPXTableDefinition ()

## Public Attributes
unsigned char | m_positionBits
double | m_leftOffset
std::vector< WPXColumnDefinition > | m_columns
std::vector< WPXColumnProperties > | m_columnsProperties

## Constructor & Destructor Documentation

_WPXTableDefinition::_WPXTableDefinition | ( |  | ) |
| inline

## Member Data Documentation

std::vector< WPXColumnDefinition > _WPXTableDefinition::m_columns

Referenced by WPXContentListener::_openTable(), WP3ContentListener::addTableColumnDefinition(), WP5ContentListener::addTableColumnDefinition(), WP6ContentListener::addTableColumnDefinition(), WP3ContentListener::defineTable(), WP5ContentListener::defineTable(), and WP6ContentListener::defineTable().

std::vector< WPXColumnProperties > _WPXTableDefinition::m_columnsProperties

Referenced by WP3ContentListener::addTableColumnDefinition(), WP5ContentListener::addTableColumnDefinition(), WP6ContentListener::addTableColumnDefinition(), WP3ContentListener::defineTable(), WP5ContentListener::defineTable(), WP6ContentListener::defineTable(), WP5ContentListener::insertCell(), and WP6ContentListener::insertCell().

double _WPXTableDefinition::m_leftOffset

Referenced by WPXContentListener::_openTable(), WP3ContentListener::defineTable(), WP5ContentListener::defineTable(), and WP6ContentListener::defineTable().

unsigned char _WPXTableDefinition::m_positionBits

Referenced by WPXContentListener::_openTable(), WP3ContentListener::defineTable(), WP5ContentListener::defineTable(), and WP6ContentListener::defineTable().

The documentation for this struct was generated from the following file:

- WPXContentListener.h